name: Widget
description: Display a single widget.
icon: fa-object-ungroup
type: position

form:
  fields:
    enabled:
      type: input.checkbox
      label: Enabled
      description: Globally enable widget particle.
      default: true

    info:
      type: separator.note
      class: alert
      content: 'DEPRECATED: WordPress 5.8+ uses new Widget Manager with Blocks.<br />Widgets adapted for blocks are not supported.<br />Such widgets can be used with Widget Block particle instead.'

    widget:
      type: gantry.widget
      label: Widget
      class: g-urltemplate input-small
      picker_label: Pick a Widget
      pattern: '[a-z0-9_-]+'
      overridable: false

    chrome:
      type: input.text
      label: Chrome
      description: Widget chrome.
      placeholder: gantry
